Get ledger entries
curl --request GET \
--url https://api-sandbox.rinne.com.br/core/v1/ledger-entries \
--header 'x-api-key: <api-key>'import requests
url = "https://api-sandbox.rinne.com.br/core/v1/ledger-entries"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-sandbox.rinne.com.br/core/v1/ledger-entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "le_123456789",
"posting_set_id": "ps_123456789",
"pair_token": "pair_123456789",
"event_id": "evt_123456789",
"owner_type": "COMPANY",
"owner_id": "comp_123456789",
"amount": 10050,
"operation": "CREDIT",
"type": "TRANSACTION",
"currency": "BRL",
"payment_date": "2023-12-01",
"installment": 1,
"total_installments": 1,
"outstanding_amount": 0,
"settled": true,
"created_at": "2023-12-01T10:00:00.000Z",
"updated_at": "2023-12-01T10:00:00.000Z",
"settlement_items": [
{
"id": "si_123456789",
"ledger_entry_id": "le_123456789",
"settled_amount": 10050,
"settlement_date": "2023-12-01",
"method": "PIX",
"status": "PAID",
"operation_id": "op_123456789",
"created_at": "2023-12-01T10:00:00.000Z",
"updated_at": "2023-12-01T10:00:00.000Z",
"affiliation_bank_account_id": "ba_123456789",
"settlement_bank_account_id": "sba_123456789"
}
],
"company_id": "comp_123456789",
"organization_id": "org_123456789",
"affiliation_id": "aff_123456789",
"transaction_id": "tx_123456789",
"refund_id": "ref_123456789",
"dispute_id": "dis_123456789",
"cashout_id": "co_123456789",
"fully_settled_at": "2023-12-01T10:00:00.000Z",
"last_clearing_at": "2023-12-01T10:00:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 50,
"totalPages": 3,
"hasNext": true,
"hasPrev": false
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Validation error",
"status": 400,
"details": {
"issues": [
{
"field": "email",
"type": "REQUIRED",
"message": "Field 'email' is required",
"value": "invalid_value",
"constraints": {
"min": 18,
"max": 120
}
}
]
},
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHENTICATION_ERROR",
"message": "Authentication required to access this resource",
"status": 401,
"details": {
"reason": "Invalid API key"
},
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHORIZATION_ERROR",
"message": "You need 'admin' permissions to access this resource",
"status": 403,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred",
"status": 500,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}Company Ledger
Get ledger entries
Requires the ledger.list permission.
Returns a paginated list of ledger entries for the authenticated company.
GET
/
v1
/
ledger-entries
Get ledger entries
Authorizations
Company API key for authentication
Query Parameters
Page number for pagination
Required range:
x >= 1Number of entries per page
Required range:
1 <= x <= 100Filter by owner ID
Filter by posting set ID
Filter by event ID
Comma-separated list of entry types to filter by.
Available options:
TRANSACTION, ORGANIZATION_FEE, PLATFORM_COST, PROVIDER_COST, ORGANIZATION_ANTICIPATION_FEE, PLATFORM_ANTICIPATION_COST, PLATFORM_REFUND_COST, PROVIDER_REFUND_COST, TRANSACTION_REFUND, TRANSACTION_REFUND_REVERSAL, ORGANIZATION_FEE_REFUND, PLATFORM_COST_REFUND, PROVIDER_COST_REFUND, TRANSACTION_DISPUTE, TRANSACTION_DISPUTE_REVERSAL Filter by operation type
Available options:
CREDIT, DEBIT Start payment date (inclusive)
End payment date (inclusive)
Filter by transaction ID
Filter by refund ID
Filter by cashout ID
Filter by settled status
Multi-field sort string (e.g., -created_at,amount). Allowed fields: created_at, payment_date, amount
Available options:
created_at, payment_date, amount, -created_at, -payment_date, -amount 
